## org.apache.mahout.utils.regex
Class URLDecodeTransformer

    java.lang.Object
      org.apache.mahout.utils.regex.URLDecodeTransformer

All Implemented Interfaces:
  RegexTransformer

    public final class URLDecodeTransformer

extends Object
implements RegexTransformer

Constructor Summary
`URLDecodeTransformer()`
`URLDecodeTransformer(String encoding)`

Method Summary
`String` `transformMatch(String match)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLDecodeTransformer

    public URLDecodeTransformer()

### URLDecodeTransformer

    public URLDecodeTransformer(String encoding)

Method Detail

### transformMatch

    public String transformMatch(String match)

  Specified by:
    `transformMatch` in interface `RegexTransformer`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.